class CreateSaleOrders < ActiveRecord::Migration[5.1]
  def change
    create_table :sale_orders, :id => false do |t|
      
      t.string :sale_order_id, :limit => 16, :primary_key => true
      t.string :sale_id, foreign_key: true,:limit => 16, :index => true
      t.string :order_id, foreign_key: true, :limit => 16, :index => true

      t.timestamps
    end
    add_index :sale_orders, [:sale_id, :order_id], name: 'index_sale_id_order_id'
  end
end
